/***************************************************************************
 *   Copyright (C) 2005 by Teppei Tamra   *
 *   TAM(tam-t@par.odn.ne.jp)   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <qapplication.h>
#include <qtextcodec.h>
#include <iostream>
#include "nagisa.h"

int main( int argc, char ** argv ) {
    QApplication a( argc, argv );

    QTranslator t(0);
    t.load(QString(NAGISADATADIR) + QString("/nagisa_") + QStringList::split(".",QTextCodec::locale())[0] +  ".qm" );
    a.installTranslator(&t);
    QString file;
    if (argc >= 2) file = argv[1];
    nagisa * mw = new nagisa(file);
    QObject::connect(&a,SIGNAL(lastWindowClosed()),&a,SLOT(quit()));
    mw->show();
    return a.exec();
}
